# vim: set ft=spec: -*- rpm-spec -*-

%define pkgname ruby-openid

Name: %pkgname
Version: 2.1.8
Release: alt1

Summary: Ruby OpenID library, with batteries included
Group: Development/Ruby
License: Apache
Url: http://rubyforge.org/projects/ruby-openid/

Packager: Ruby Maintainers Team <ruby@packages.altlinux.org>

BuildArch: noarch

Source: %pkgname-%version.tar
Patch: %pkgname-%version-%release.patch

# Automatically added by buildreq on Sun Nov 02 2008 (-bi)
BuildRequires: rpm-build-ruby ruby-test-unit ruby-tool-rdoc ruby-tool-setup

%description
A Ruby library for verifying and serving OpenID identities.
Ruby OpenID makes it easy to add OpenID authentication to
your web applications.

This library is a port of the Python OpenID library.

%package doc
Summary: Documentation files for %name
Group: Documentation

%description doc
Documentation files for %name

%prep
%setup -n %pkgname-%version
%patch -p1
%update_setup_rb

%build
%ruby_config
%ruby_build
%ruby_test_unit -Ilib:test test/testutil.rb test/test_*.rb

%install
%ruby_install
%rdoc lib/

%files
%doc README NOTICE LICENSE
%ruby_sitelibdir/*

%files doc
%doc CHANGELOG examples
%ruby_ri_sitedir/OpenID*

%changelog
* Tue Oct 13 2009 Alexey I. Froloff <raorn@altlinux.org> 2.1.8-alt1
- [2.1.8]

* Sun Jun 28 2009 Alexey I. Froloff <raorn@altlinux.org> 2.1.6-alt1
- [2.1.6]

* Sun Nov 02 2008 Sir Raorn <raorn@altlinux.ru> 2.1.2-alt1
- Built for Sisyphus

